Subject: Re: [RFC/PATCH] pack-redundant: escalate deprecation warning to an error

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Mar 2023 14:23:46 -0700

Taylor Blau <[email-masked]> writes:

> On Thu, Mar 23, 2023 at 01:56:26PM -0700, Junio C Hamano wrote:
>> Jeff King <[email-masked]> writes:
>>
>> > I was looking in this file recently, and was reminded of the deprecation
>> > plan. The two data points above do give me a little bit of pause, but it
>> > seems like the current state is the worst of both worlds: we do not have
>> > the benefit of dropping the code, and people who try to use the command
>> > have a bad experience. So we should probably either proceed (as with
>> > this patch), or decide we need to keep pack-redundant.
>>
>> Sounds like a good thing to do.  Will queue.  Thanks.
>
> Yeah, I agree with and am persuaded by the "worst of both worlds"
> argument. I think that changing this to a die() is sensible for now.
>
> At what point would it be fair to drop this builtin entirely from the
> tree?

I notice that "git pack-redundant --help" does not say anything
about its deprecation.  We probably should add one together with
the patch in question, and then consider that the count-down timer
has finally started.

The timer should last probably for at least a few cycles.